--- src/3rdparty/chromium/build/config/clang/BUILD.gn.orig	2024-10-22 08:31:56 UTC
+++ src/3rdparty/chromium/build/config/clang/BUILD.gn
@@ -236,7 +236,12 @@ template("clang_lib") {
 
 # Adds a dependency on the Clang runtime library clang_rt.builtins.
 clang_lib("compiler_builtins") {
-  if (is_mac) {
+  if (is_bsd) {
+    # Since there's no Rust in the toolchain, there's no concern that we'll use
+    # the Rust stdlib's intrinsics here.
+    #
+    # Don't define libname which makes this target do nothing.
+  } else if (is_mac) {
     libname = "osx"
   } else if (is_ios) {
     if (target_environment == "simulator") {
